org.eclipse.gef.common.beans.value

## Interface ObservableSetMultimapValue<K,V>

Type Parameters:
  `K` - The key type of the `ObservableSetMultimap`.
  `V` - The value type of the `ObservableSetMultimap`.

All Superinterfaces:
  com.google.common.collect.Multimap<K,V>, javafx.beans.Observable, javafx.beans.value.ObservableObjectValue<ObservableSetMultimap<K,V>>, ObservableSetMultimap<K,V>, javafx.beans.value.ObservableValue<ObservableSetMultimap<K,V>>, com.google.common.collect.SetMultimap<K,V>

All Known Implementing Classes:
  ReadOnlySetMultimapProperty, ReadOnlySetMultimapPropertyBase, ReadOnlySetMultimapWrapper, SetMultimapBinding, SetMultimapExpression, SetMultimapProperty, SetMultimapPropertyBase, SimpleSetMultimapProperty

    public interface ObservableSetMultimapValue<K,V>
    extends javafx.beans.value.ObservableObjectValue<ObservableSetMultimap<K,V>>, ObservableSetMultimap<K,V>

An observable reference to an `ObservableSetMultimap`.

This interface provides identical functionality for `SetMultimap` as `ObservableMapValue` for `Map`, `ObservableSetValue` for `Set`, or `ObservableListValue` for `List`.

### Method Summary

### Methods inherited from interface javafx.beans.value.ObservableObjectValue

`get`

### Methods inherited from interface javafx.beans.value.ObservableValue

`addListener, getValue, removeListener`

### Methods inherited from interface javafx.beans.Observable

`addListener, removeListener`

### Methods inherited from interface org.eclipse.gef.common.collections.ObservableSetMultimap

`addListener, removeListener, replaceAll`

### Methods inherited from interface com.google.common.collect.SetMultimap

`asMap, entries, equals, get, removeAll, replaceValues`

### Methods inherited from interface com.google.common.collect.Multimap

`clear, containsEntry, containsKey, containsValue, hashCode, isEmpty, keys, keySet, put, putAll, putAll, remove, size, values`